﻿using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            #region 포인트 컬렉션을 설정한다.

            PointCollection pointCollection = new PointCollection(720);

            for(int i = 0; i < 720; i++)
            {
                pointCollection.Add(new Point(i, 96 * (1 - Math.Sin(i * Math.PI / 180))));
            }

            #endregion
            #region 다각선을 설정한다.

            Polyline polyline = new Polyline();

            polyline.VerticalAlignment   = VerticalAlignment.Center;
            polyline.Stroke              = SystemColors.WindowTextBrush;
            polyline.StrokeThickness     = 2;
            polyline.Points              = pointCollection;

            this.viewBox.Child = polyline;

            #endregion
        }

        #endregion
    }
}